Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
ezpOauthRequired Class Reference
Inheritance diagram for ezpOauthRequired:

## Public Member Functions
| __construct ( $realm, $errorType=null, $errorMessage=null)
| process (ezcMvcResponseWriter $writer)

## Public Attributes
const | DEFAULT_REALM = 'Exponential REST'
| $realm
| $errorType
| $errorMessage

## Protected Member Functions
| createErrorString ()

## Detailed Description

This result type is used to signal a HTTP basic auth header

Definition at line 15 of file oauth_required.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpOauthRequired::__construct | ( |  | $realm,
|  |  | $errorType = `null`,
|  |  | $errorMessage = `null`
| ) |  |

Definition at line 40 of file oauth_required.php.

References $errorMessage, $errorType, and $realm.

## Member Function Documentation

## ◆ createErrorString()

ezpOauthRequired::createErrorString | ( |  | ) |
| protected

Creates for use in authentcation challenge header

Returns
  string

Definition at line 77 of file oauth_required.php.

References $str.

## ◆ process()

ezpOauthRequired::process | ( | ezcMvcResponseWriter | $writer | ) |

Uses the passed in $writer to set the HTTP authentication header.

Parameters

  ezcMvcResponseWriter | $writer |

Definition at line 52 of file oauth_required.php.

References $errorMessage, and ezpOauthErrorType\httpCodeforError().

## Member Data Documentation

## ◆ $errorMessage

ezpOauthRequired::$errorMessage

Definition at line 38 of file oauth_required.php.

Referenced by __construct(), and process().

## ◆ $errorType

ezpOauthRequired::$errorType

Definition at line 31 of file oauth_required.php.

Referenced by __construct().

## ◆ $realm

ezpOauthRequired::$realm

Definition at line 24 of file oauth_required.php.

Referenced by __construct().

## ◆ DEFAULT_REALM

const ezpOauthRequired::DEFAULT_REALM = 'Exponential REST'

Definition at line 17 of file oauth_required.php.

Referenced by ezpRestAuthController\doOauthRequired().

The documentation for this class was generated from the following file:

- oauth_required.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.